CVE-2019-14235

Published: 01 August 2019

An issue was discovered in Django 1.11.x before 1.11.23, 2.1.x before 2.1.11, and 2.2.x before 2.2.4. If passed certain inputs, django.utils.encoding.uri_to_iri could lead to significant memory usage due to a recursion when repercent-encoding invalid UTF-8 octet sequences.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
python-django
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:1.11.11-1ubuntu1.5)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (1.8.7-1ubuntu5.10)
Ubuntu 14.04 ESM (Trusty Tahr) Needs triage